
import * as echarts from "echarts";
import formateDate from "@/utils/date";
import formateDate1 from "@/utils/date_1";
import excelHelper from "@/utils/excelHelper";
export default {
  data() {
    return {
      tableData: [],
      date_1: "",
      currentPage2: 1,
      pagesize: 10,
      isAsc:'asc',
      orderByColumn:'',
      wpIdslist: {
        name: "",
        id: "",
      },
      fc: "MHS_FDC",
    };
  },
  created() {},
  methods: {
    query_table(){
      let that = this;
      this.tableData = [];
      var digital = new URLSearchParams();
        digital.append('isAsc',this.isAsc);
        digital.append('wpId',this.fc);
        digital.append('recorddate',this.date_1);
      this.$http.post('/goodness/windturbinegoodness',digital).then((res) => {
          that.tableData = res.data.data.list;
      })
    },
    handleEdit(b) {
      this.$router.push({
        path: "/indicia",
        query: {
          data: b,
        },
      });
    },
    history(b) {
      this.$router.push({
        path: "/history_date",
        query: {
          data: b,
        },
      });
    },
    toExcel() {
      excelHelper.exportExcel("tableData", "单机信息总览", ".xls", true);
    },
    query_wpid() {
        this.$http.get("powercompare/windfarmAjax?").then((res) => {
        this.wpIdslist = res.data.data;
      });
    },
    
  },
  mounted() {
    var newData = new Date();
    this.date_1 =  formateDate1(newData.getTime()/1000);
    this.query_wpid();
    this.query_table();
  },
};
