import * as echarts from "echarts";
import  qxt_yue from  "@views/benchmarkingSys/qxt_yue.vue"
import  qxt_nian from "@views/benchmarkingSys/qxt_nian.vue"
export default {
  data() {
    return {
      fj: ["MG01_01"],
      fc: "MHS_FDC",
      leida_list: [],
      Date1: "",
      leida_list_0: [],
      leida_list_1: [],
      leida_list_2: [],
      leida_list_3: [],
      leida_list_4: [],
      tableData: [],
      tableData_y: [],
      tableData_n: [],
      wpIdslist: {
        name: "",
        id: "",
      },
      jfpl: "",
      jfpl0: "",
      jfpl1: "",
      jfpl2: "",
      jfpl3: "",
      jfpl4: "",
      wtIdslist: {
        name: "",
        id: "",
        key: "",
      },
      activeName: "first",
      compareDayList: {},
      lineDate: {
        speed: [],
        value1: [],
        value2: [],
        value3: [],
        value4: [],
        value5: [],
      },
      lineDate_y: {
        speed: [],
        value1: [],
        value2: [],
        value3: [],
        value4: [],
        value5: [],
      },
      lineDate_n: {
        speed: [],
        value1: [],
        value2: [],
        value3: [],
        value4: [],
        value5: [],
      },
    };
  },
  components: {
    qxt_yue: qxt_yue,
    qxt_nian: qxt_nian,
  },

  created() {
    this.Date1 = this.BASE.getBzDate(new Date().getTime(),-1);
    this.query_wpid();
  },
  methods: {
    clear() {
      this.fj = [];
    },
    handleClick() {
      this.tableData = [];
      this.tableData_n = [];
      this.tableData_y = [];
      this.query_check();
    },
    query_wpid() {
      this.API.get("powercompare/windfarmAjax?").then((res) => {
        this.wpIdslist = res.data;
      });
    },
    query1() {
      this.clear();
      this.query();
    },
    query() {
      let that = this;
      this.API
        .get("powercompare/windturbineAjax?wpId=" + that.fc)
        .then((res) => {
          this.wtIdslist = res.data;
        });
    },
    query_check() {
      if (
        this.fc == null ||
        this.fc == undefined ||
        this.fc == "" ||
        this.fj == null ||
        this.fj == undefined ||
        this.fj == ""
      ) {
        Object.assign(this.$data.lineDate, this.$options.data().lineDate);
        Object.assign(this.$data.lineDate_y, this.$options.data().lineDate_y);
        Object.assign(this.$data.lineDate_n, this.$options.data().lineDate_n);
        this.$message({
          showClose: true,
          message: "请选着风机或风场",
          type: "error",
        });
      } else {
        if (this.activeName == "first") {
          Object.assign(this.$data.tableData, this.$options.data().tableData);
          Object.assign(this.$data.lineDate, this.$options.data().lineDate);
          this.query_line();
        } else if (this.activeName == "second") {
          Object.assign(
            this.$data.tableData_y,
            this.$options.data().tableData_y
          );
          Object.assign(this.$data.lineDate_y, this.$options.data().lineDate_y);
          this.query_line_y();
        } else if (this.activeName == "thired") {
          // this.query_daycompare();
          Object.assign(
            this.$data.tableData_n,
            this.$options.data().tableData_n
          );
          Object.assign(this.$data.lineDate_n, this.$options.data().lineDate_n);
          this.query_line_n();
        }
      }
    },
    query_line_n() {
      let that = this;
      this.API
        .get(
          "compare/compareYearChat?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          let Date = res.data;
          for (let i = 0; i < Date.length; i++) {
            that.lineDate_n.speed[i] = Date[i].speed;
            that.lineDate_n.value1[i] = Date[i].value1;
            that.lineDate_n.value2[i] = Date[i].value2;
            that.lineDate_n.value3[i] = Date[i].value3;
            that.lineDate_n.value4[i] = Date[i].value4;
            that.lineDate_n.value5[i] = Date[i].value5;
          }
          this.query_daycompare_n();
        });
    },
    query_daycompare_n() {
      this.API
        .get(
          "compare/compareYearList?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          this.tableData_n = res.data;
        });

      this.API
        .get("compare/fzyYear?windturbineid=" + this.fj + "&date=" + this.Date1)
        .then((res) => {
          let that = this;
          Object.assign(
            this.$data.leida_list_0,
            this.$options.data().leida_list_0
          );
          Object.assign(
            this.$data.leida_list_1,
            this.$options.data().leida_list_1
          );
          Object.assign(
            this.$data.leida_list_2,
            this.$options.data().leida_list_2
          );
          Object.assign(
            this.$data.leida_list_3,
            this.$options.data().leida_list_3
          );
          Object.assign(
            this.$data.leida_list_4,
            this.$options.data().leida_list_4
          );
          let len = Object.keys(res.data).length;
          let lenfj = this.fj.length;
          if (len == 2) {
            this.jfpl0 = res.data.jfpl0;
            let value_list_0 = res.data.data0;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
          } else if (len == 4) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
          } else if (len == 6) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
          } else if (len == 8) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            let value_list_3 = res.data.data3;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
            for (let i = 1; i < value_list_3.length; i++) {
              that.leida_list_3.push(value_list_3[i].data1);
            }
          } else if (len == 10) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            this.jfpl4 = res.data.jfpl4;
            for (let i = 1; i < Object.keys(res.data.data0).length; i++) {
              that.leida_list_0.push(res.data.data0[i].data1);
              that.leida_list_1.push(res.data.data1[i].data1);
              that.leida_list_2.push(res.data.data2[i].data1);
              that.leida_list_3.push(res.data.data3[i].data1);
              that.leida_list_4.push(res.data.data4[i].data1);
            }
          }
          if (lenfj == 1) {
            this.drawLeiDaTu();
          } else if (lenfj == 2) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
          } else if (lenfj == 3) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
          } else if (lenfj == 4) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
            this.drawLeiDaTu3();
          } else if (lenfj == 5) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
            this.drawLeiDaTu3();
            this.drawLeiDaTu4();
          }
          this.$refs.qxt_nian.drawLine_n(this.lineDate_n, this.fj);
        });
    },

    query_line_y() {
      let that = this;
      this.API
        .get(
          "compare/compareMonthChat?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          let Date = res.data;
          for (let i = 0; i < Date.length; i++) {
            that.lineDate_y.speed[i] = Date[i].speed;
            that.lineDate_y.value1[i] = Date[i].value1;
            that.lineDate_y.value2[i] = Date[i].value2;
            that.lineDate_y.value3[i] = Date[i].value3;
            that.lineDate_y.value4[i] = Date[i].value4;
            that.lineDate_y.value5[i] = Date[i].value5;
          }
          this.query_daycompare_y();
        });
    },
    query_daycompare_y() {
      this.API
        .get(
          "compare/compareMonthList?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          this.tableData_y = res.data;
        });
      this.API
        .get(
          "compare/fzyMonth?windturbineid=" + this.fj + "&date=" + this.Date1
        )
        .then((res) => {
          let that = this;
          Object.assign(
            this.$data.leida_list_0,
            this.$options.data().leida_list_0
          );
          Object.assign(
            this.$data.leida_list_1,
            this.$options.data().leida_list_1
          );
          Object.assign(
            this.$data.leida_list_2,
            this.$options.data().leida_list_2
          );
          Object.assign(
            this.$data.leida_list_3,
            this.$options.data().leida_list_3
          );
          Object.assign(
            this.$data.leida_list_4,
            this.$options.data().leida_list_4
          );

          if (Object.keys(res.data).length == 2) {
            this.jfpl0 = res.data.jfpl0;
            let value_list_0 = res.data.data0;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
          } else if (Object.keys(res.data).length == 4) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
          } else if (Object.keys(res.data).length == 6) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
          } else if (Object.keys(res.data).length == 8) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            let value_list_3 = res.data.data3;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
            for (let i = 1; i < value_list_3.length; i++) {
              that.leida_list_3.push(value_list_3[i].data1);
            }
          } else if (Object.keys(res.data).length == 10) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            this.jfpl4 = res.data.jfpl4;
            for (let i = 1; i < Object.keys(res.data.data0).length; i++) {
              that.leida_list_0.push(res.data.data0[i].data1);
              that.leida_list_1.push(res.data.data1[i].data1);
              that.leida_list_2.push(res.data.data2[i].data1);
              that.leida_list_3.push(res.data.data3[i].data1);
              that.leida_list_4.push(res.data.data4[i].data1);
            }
          }
          if (this.fj.length == 1) {
            this.drawLeiDaTu();
          } else if (this.fj.length == 2) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
          } else if (this.fj.length == 3) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
          } else if (this.fj.length == 4) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
            this.drawLeiDaTu3();
          } else if (this.fj.length == 5) {
            this.drawLeiDaTu();
            this.drawLeiDaTu1();
            this.drawLeiDaTu2();
            this.drawLeiDaTu3();
            this.drawLeiDaTu4();
          }
          this.$refs.qxt_yue.drawLine_y(this.lineDate_y, this.fj);
        });
    },

    query_line() {
      let that = this;
      this.API
        .get(
          "compare/compareDayChat?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          let Date = res.data;
          for (let i = 0; i < Date.length; i++) {
            that.lineDate.speed[i] = Date[i].speed;
            that.lineDate.value1[i] = Date[i].value1;
            that.lineDate.value2[i] = Date[i].value2;
            that.lineDate.value3[i] = Date[i].value3;
            that.lineDate.value4[i] = Date[i].value4;
            that.lineDate.value5[i] = Date[i].value5;
          }
          this.query_daycompare();
        });
    },
    query_daycompare() {
      Object.assign(this.$data.tableData, this.$options.data().tableData);
      this.API
        .get(
          "compare/compareDayList?windturbineid=" +
            this.fj +
            "&date=" +
            this.Date1
        )
        .then((res) => {
          this.tableData = res.data;
        });
      this.API
        .get("compare/fzyDay?windturbineid=" + this.fj + "&date=" + this.Date1)
        .then((res) => {
          let that = this;
          Object.assign(
            this.$data.leida_list_0,
            this.$options.data().leida_list_0
          );
          Object.assign(
            this.$data.leida_list_1,
            this.$options.data().leida_list_1
          );
          Object.assign(
            this.$data.leida_list_2,
            this.$options.data().leida_list_2
          );
          Object.assign(
            this.$data.leida_list_3,
            this.$options.data().leida_list_3
          );
          Object.assign(
            this.$data.leida_list_4,
            this.$options.data().leida_list_4
          );

          if (Object.keys(res.data).length == 2) {
            this.jfpl0 = res.data.jfpl0;
            let value_list_0 = res.data.data0;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
          } else if (Object.keys(res.data).length == 4) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
          } else if (Object.keys(res.data).length == 6) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
          } else if (Object.keys(res.data).length == 8) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            let value_list_0 = res.data.data0;
            let value_list_1 = res.data.data1;
            let value_list_2 = res.data.data2;
            let value_list_3 = res.data.data3;
            for (let i = 1; i < value_list_0.length; i++) {
              that.leida_list_0.push(value_list_0[i].data1);
            }
            for (let i = 1; i < value_list_1.length; i++) {
              that.leida_list_1.push(value_list_1[i].data1);
            }
            for (let i = 1; i < value_list_2.length; i++) {
              that.leida_list_2.push(value_list_2[i].data1);
            }
            for (let i = 1; i < value_list_3.length; i++) {
              that.leida_list_3.push(value_list_3[i].data1);
            }
          } else if (Object.keys(res.data).length == 10) {
            this.jfpl0 = res.data.jfpl0;
            this.jfpl1 = res.data.jfpl1;
            this.jfpl2 = res.data.jfpl2;
            this.jfpl3 = res.data.jfpl3;
            this.jfpl4 = res.data.jfpl4;
            for (let i = 1; i < Object.keys(res.data.data0).length; i++) {
              that.leida_list_0.push(res.data.data0[i].data1);
              that.leida_list_1.push(res.data.data1[i].data1);
              that.leida_list_2.push(res.data.data2[i].data1);
              that.leida_list_3.push(res.data.data3[i].data1);
              that.leida_list_4.push(res.data.data4[i].data1);
            }
          }
          if (this.fj.length == 1) {
            //this.drawLeiDaTu();
            this.ECZM.leida_djbhd("fzy1",this.leida_list_0,this.jfpl0); 
          } else if (this.fj.length == 2) {
            this.ECZM.leida_djbhd("fzy1",this.leida_list_0,this.jfpl0); 
            this.ECZM.leida_djbhd("fzy2",this.leida_list_1,this.jfpl1); 
          } else if (this.fj.length == 3) {
            this.ECZM.leida_djbhd("fzy1",this.leida_list_0,this.jfpl0); 
            this.ECZM.leida_djbhd("fzy2",this.leida_list_1,this.jfpl1); 
            this.ECZM.leida_djbhd("fzy3",this.leida_list_2,this.jfpl2);
          } else if (this.fj.length == 4) {
            this.ECZM.leida_djbhd("fzy1",this.leida_list_0,this.jfpl0); 
            this.ECZM.leida_djbhd("fzy2",this.leida_list_1,this.jfpl1); 
            this.ECZM.leida_djbhd("fzy3",this.leida_list_2,this.jfpl2); 
            this.ECZM.leida_djbhd("fzy4",this.leida_list_3,this.jfpl3);
          } else if (this.fj.length == 5) {
            this.ECZM.leida_djbhd("fzy1",this.leida_list_0,this.jfpl0); 
            this.ECZM.leida_djbhd("fzy2",this.leida_list_1,this.jfpl1); 
            this.ECZM.leida_djbhd("fzy3",this.leida_list_2,this.jfpl2); 
            this.ECZM.leida_djbhd("fzy4",this.leida_list_3,this.jfpl3); 
            this.ECZM.leida_djbhd("fzy5",this.leida_list_4,this.jfpl4); 
          }
          this.drawLine();
        });
    },
    drawLine() {
      var chartDom = document.getElementById("linechar");
      var myChart = echarts.init(chartDom);
      var option;

      option = {
        title: {
          text: "日功率曲线",
        },
        tooltip: {
          trigger: "axis",
        },
        legend: {
          data: this.fj,
        },
        grid: {
          left: "3%",
          right: "4%",
          bottom: "3%",
          containLabel: true,
        },
        toolbox: {
          feature: {
            saveAsImage: {},
          },
        },
        xAxis: {
          type: "category",
          boundaryGap: false,

          data: this.lineDate.speed,
        },
        yAxis: {
          type: "value",
        },
        series: [
          {
            name: this.fj[0],
            type: "line",
            stack: "总量",
            smooth: true,
            data: this.lineDate.value1,
          },
          {
            name: this.fj[1],
            type: "line",
            stack: "总量",
            smooth: true,
            data: this.lineDate.value2,
          },
          {
            name: this.fj[2],
            type: "line",
            stack: "总量",
            smooth: true,
            data: this.lineDate.value3,
          },
          {
            name: this.fj[3],
            type: "line",
            stack: "总量",
            smooth: true,
            data: this.lineDate.value3,
          },
          {
            name: this.fj[4],
            type: "line",
            stack: "总量",
            smooth: true,
            data: this.lineDate.value4,
          },
        ],
      };

      option && myChart.setOption(option);
    },
    drawLeiDaTu() {
      var chartDom = document.getElementById("fzy1");
      var myChart = echarts.init(chartDom);
      myChart.resize({ height: 300 });
      var option;

      option = {
        tooltip: {},
        legend: {
          top: "93%",
          left: "10%",
        },
        tooltip: {
          triggerOn: "none",
          alwaysShowContent: true,
          position: function (pt) {
            return [pt[0], 130];
          },
        },
        radar: {
          name: {
            textStyle: {
              color: "#fff",
              backgroundColor: "#999",
              borderRadius: 3,
              padding: [3, 5],
            },
          },
          indicator: [
            { name: "北", max: 99 },
            { name: "北北东", max: 99 },
            { name: "北东", max: 99 },
            { name: "东北东", max: 99 },
            { name: "东", max: 99 },
            { name: "东南东", max: 99 },
            { name: "南东", max: 99 },
            { name: "南南东", max: 99 },
            { name: "南", max: 99 },
            { name: "南南西", max: 99 },
            { name: "南西", max: 99 },
            { name: "西南西", max: 99 },
            { name: "西", max: 99 },
            { name: "西北西", max: 99 },
            { name: "北西", max: 99 },
            { name: "北北西", max: 99 },
          ],
        },
        series: [
          {
            type: "radar",
            // areaStyle: {normal: {}},
            data: [
              {
                value: this.leida_list_0,
                name: this.jfpl0,
                label: {
                  show: true,
                  position: "insideBottomRight",
                  distance: 14.5,
                  //rotate: -45,
                  offset: [11, 0],
                  formatter:function(params){
                    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
                    if(params.value<10){
                      return ''
                    }else{
                        return list[params.dimensionIndex]+':'+params.value;
                    }
                  }
                },
                areaStyle: {
                  opacity: 0.9,
                  color: new echarts.graphic.RadialGradient(0.5, 0.5, 1, [
                    {
                      color: "#B8D3E4",
                      offset: 0,
                    },
                    {
                      color: "#72ACD1",
                      offset: 1,
                    },
                  ]),
                },
              },
            ],
            itemStyle: { normal: { label: { show: true } } },
          },
        ],
        tooltip: {
          show:false,
          position: function (p) {
            //其中p为当前鼠标的位置
            return [p[0] + 10, p[1] - 100];
          },
          // formatter: function (params) {
          //   //其中p为当前鼠标的位置
          //   debugger
          //    let fanhui = [];
          //    let str ='';
          //    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
          //    for(let i=1;i<Object.keys(params.value).length;i++){
          //           if(params.value[i]>10){
          //             fanhui.push(params.value[i]+':'+list[i]);
          //           }
          //    }
          //    for(let j = 1 ;j<fanhui.length;j++){
          //       str.concat(fanhui[j]);
          //    }
          //    return str;
          // },
          textStyle: {
            fontWeight: "16px",
            fontSize: 16,
            lineHeight: 0,
          },
        },
      };
      option && myChart.setOption(option);
    },

    drawLeiDaTu1() {
      var chartDom = document.getElementById("fzy2");
      var myChart = echarts.init(chartDom);
      myChart.resize({ height: 300 });
      var option;

      option = {
        tooltip: {},
        legend: {
          top: "93%",
          left: "10%",
        },
        radar: {
          // shape: 'circle',
          name: {
            textStyle: {
              color: "#fff",
              backgroundColor: "#999",
              borderRadius: 3,
              padding: [3, 5],
            },
          },
          tooltip: {
            triggerOn: "none",
            alwaysShowContent: true,
            position: function (pt) {
              return [pt[0], 130];
            },
          },
          indicator: [
            { name: "北", max: 99 },
            { name: "北北东", max: 99 },
            { name: "北东", max: 99 },
            { name: "东北东", max: 99 },
            { name: "东", max: 99 },
            { name: "东南东", max: 99 },
            { name: "南东", max: 99 },
            { name: "南南东", max: 99 },
            { name: "南", max: 99 },
            { name: "南南西", max: 99 },
            { name: "南西", max: 99 },
            { name: "西南西", max: 99 },
            { name: "西", max: 99 },
            { name: "西北西", max: 99 },
            { name: "北西", max: 99 },
            { name: "北北西", max: 99 },
          ],
        },
        series: [
          {
            type: "radar",
            // areaStyle: {normal: {}},
            data: [
              {
                value: this.leida_list_1,
                name: this.jfpl1,
                 label: {
                  show: true,
                  position: "insideBottomRight",
                  distance: 14.5,
                  //rotate: -45,
                  offset: [11, 0],
                  formatter:function(params){
                    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
                    if(params.value<10){
                      return ''
                    }else{
                        return list[params.dimensionIndex]+':'+params.value;
                    }
                  }
                },
                areaStyle: {
                  opacity: 0.9,
                  color: new echarts.graphic.RadialGradient(0.5, 0.5, 1, [
                    {
                      color: "#B8D3E4",
                      offset: 0,
                    },
                    {
                      color: "#72ACD1",
                      offset: 1,
                    },
                  ]),
                },
              },
            ],
          },
        ],
        tooltip: {
          show:false,
          position: function (p) {
            //其中p为当前鼠标的位置
            return [p[0] + 10, p[1] - 100];
          },
          textStyle: {
            fontWeight: "16px",
            fontSize: 16,
            lineHeight: 0,
          },
        },
      };
      option && myChart.setOption(option);
    },

    drawLeiDaTu2() {
      var chartDom = document.getElementById("fzy3");
      var myChart = echarts.init(chartDom);
      myChart.resize({ height: 300 });
      var option;

      option = {
        tooltip: {},
        legend: {
          top: "93%",
          left: "10%",
        },
        radar: {
          // shape: 'circle',
          name: {
            textStyle: {
              color: "#fff",
              backgroundColor: "#999",
              borderRadius: 3,
              padding: [3, 5],
            },
          },
          tooltip: {
            triggerOn: "none",
            alwaysShowContent: true,
            position: function (pt) {
              return [pt[0], 130];
            },
          },
          indicator: [
            { name: "北", max: 99 },
            { name: "北北东", max: 99 },
            { name: "北东", max: 99 },
            { name: "东北东", max: 99 },
            { name: "东", max: 99 },
            { name: "东南东", max: 99 },
            { name: "南东", max: 99 },
            { name: "南南东", max: 99 },
            { name: "南", max: 99 },
            { name: "南南西", max: 99 },
            { name: "南西", max: 99 },
            { name: "西南西", max: 99 },
            { name: "西", max: 99 },
            { name: "西北西", max: 99 },
            { name: "北西", max: 99 },
            { name: "北北西", max: 99 },
          ],
        },
        series: [
          {
            type: "radar",
            // areaStyle: {normal: {}},
            data: [
              {
                value: this.leida_list_2,
                name: this.jfpl2,
                 label: {
                  show: true,
                  position: "insideBottomRight",
                  distance: 14.5,
                  //rotate: -45,
                  offset: [11, 0],
                  formatter:function(params){
                    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
                    if(params.value<10){
                      return ''
                    }else{
                        return list[params.dimensionIndex]+':'+params.value;
                    }
                  }
                },
                areaStyle: {
                  opacity: 0.9,
                  color: new echarts.graphic.RadialGradient(0.5, 0.5, 1, [
                    {
                      color: "#B8D3E4",
                      offset: 0,
                    },
                    {
                      color: "#72ACD1",
                      offset: 1,
                    },
                  ]),
                },
              },
            ],
          },
        ],
        tooltip: {
          show:false,
          position: function (p) {
            //其中p为当前鼠标的位置
            return [p[0] + 10, p[1] - 100];
          },
          textStyle: {
            fontWeight: "16px",
            fontSize: 16,
            lineHeight: 0,
          },
        },
      };
      option && myChart.setOption(option);
    },

    drawLeiDaTu3() {
      var chartDom = document.getElementById("fzy4");
      var myChart = echarts.init(chartDom);
      myChart.resize({ height: 300 });
      var option;

      option = {
        tooltip: {},
        legend: {
          top: "93%",
          left: "10%",
        },
        radar: {
          // shape: 'circle',
          name: {
            textStyle: {
              color: "#fff",
              backgroundColor: "#999",
              borderRadius: 3,
              padding: [3, 5],
            },
          },
          tooltip: {
            triggerOn: "none",
            alwaysShowContent: true,
            position: function (pt) {
              return [pt[0], 130];
            },
          },
          indicator: [
            { name: "北", max: 99 },
            { name: "北北东", max: 99 },
            { name: "北东", max: 99 },
            { name: "东北东", max: 99 },
            { name: "东", max: 99 },
            { name: "东南东", max: 99 },
            { name: "南东", max: 99 },
            { name: "南南东", max: 99 },
            { name: "南", max: 99 },
            { name: "南南西", max: 99 },
            { name: "南西", max: 99 },
            { name: "西南西", max: 99 },
            { name: "西", max: 99 },
            { name: "西北西", max: 99 },
            { name: "北西", max: 99 },
            { name: "北北西", max: 99 },
          ],
        },
        series: [
          {
            type: "radar",
            // areaStyle: {normal: {}},
            data: [
              {
                value: this.leida_list_3,
                name: this.jfpl3,
                 label: {
                  show: true,
                  position: "insideBottomRight",
                  distance: 14.5,
                  //rotate: -45,
                  offset: [11, 0],
                  formatter:function(params){
                    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
                    if(params.value<10){
                      return ''
                    }else{
                        return list[params.dimensionIndex]+':'+params.value;
                    }
                  }
                },
                areaStyle: {
                  opacity: 0.9,
                  color: new echarts.graphic.RadialGradient(0.5, 0.5, 1, [
                    {
                      color: "#B8D3E4",
                      offset: 0,
                    },
                    {
                      color: "#72ACD1",
                      offset: 1,
                    },
                  ]),
                },
              },
            ],
          },
        ],
        tooltip: {
          show:false,
          position: function (p) {
            //其中p为当前鼠标的位置
            return [p[0] + 10, p[1] - 100];
          },
          textStyle: {
            fontWeight: "16px",
            fontSize: 16,
            lineHeight: 0,
          },
        },
      };
      option && myChart.setOption(option);
    },

    drawLeiDaTu4() {
      var chartDom = document.getElementById("fzy5");
      var myChart = echarts.init(chartDom);
      myChart.resize({ height: 300 });
      var option;

      option = {
        tooltip: {},
        legend: {
          top: "93%",
          left: "10%",
        },
        radar: {
          // shape: 'circle',
          name: {
            textStyle: {
              color: "#fff",
              backgroundColor: "#999",
              borderRadius: 3,
              padding: [3, 5],
            },
          },
          tooltip: {
            triggerOn: "none",
            alwaysShowContent: true,
            position: function (pt) {
              return [pt[0], 130];
            },
          },
          indicator: [
            { name: "北", max: 99 },
            { name: "北北东", max: 99 },
            { name: "北东", max: 99 },
            { name: "东北东", max: 99 },
            { name: "东", max: 99 },
            { name: "东南东", max: 99 },
            { name: "南东", max: 99 },
            { name: "南南东", max: 99 },
            { name: "南", max: 99 },
            { name: "南南西", max: 99 },
            { name: "南西", max: 99 },
            { name: "西南西", max: 99 },
            { name: "西", max: 99 },
            { name: "西北西", max: 99 },
            { name: "北西", max: 99 },
            { name: "北北西", max: 99 },
          ],
        },
        series: [
          {
            type: "radar",
            // areaStyle: {normal: {}},
            data: [
              {
                value: this.leida_list_4,
                name: this.jfpl4,
                 label: {
                  show: true,
                  position: "insideBottomRight",
                  distance: 14.5,
                  //rotate: -45,
                  offset: [11, 0],
                  formatter:function(params){
                    let list = ["北","北北东","北东","东北东","东","东南东","南东","南南东","南","南南西","南西","西南西","西","西北西","北西","北北西"]
                    if(params.value<10){
                      return ''
                    }else{
                        return list[params.dimensionIndex]+':'+params.value;
                    }
                  }
                },
                areaStyle: {
                  opacity: 0.9,
                  color: new echarts.graphic.RadialGradient(0.5, 0.5, 1, [
                    {
                      color: "#B8D3E4",
                      offset: 0,
                    },
                    {
                      color: "#72ACD1",
                      offset: 1,
                    },
                  ]),
                },
              },
            ],
          },
        ],
        tooltip: {
          show:false,
          position: function (p) {
            //其中p为当前鼠标的位置
            return [p[0] + 10, p[1] - 100];
          },
          textStyle: {
            fontWeight: "16px",
            fontSize: 16,
            lineHeight: 0,
          },
        },
      };
      option && myChart.setOption(option);
    },
  },
  mounted() {
    this.drawLine();
    this.query();
    this.query_check();
  },
};
